Description

If I try to execute the gvSIG Union geoprocess on two polygon layers (created by "Random vector layer"), the output layer is not
generated. There's the following error in the gvSIG.log several times:

WARN 1403569 AWT-EventQueue-0 org.gvsig.geoprocess.lib.sextante.dataObjects.FlyrVectIVectorLayer - Geometry type 22
not supported.
java.lang.IllegalArgumentException
    at
org.gvsig.geoprocess.lib.sextante.dataObjects.FlyrVectIVectorLayer.getShapeTypeFromGvSIGShapeType(FlyrVectIVectorLayer.java:453)
    at org.gvsig.geoprocess.lib.sextante.dataObjects.FlyrVectIVectorLayer.getShapeType(FlyrVectIVectorLayer.java:425)
    at es.unex.sextante.core.GeoAlgorithm.
er.java:453)
    at org.gvsig.geoprocess.lib.sextante.dataObjects.FlyrVectIVectorLayer.getShapeType(FlyrVectIVectorLayer.java:425)
    at es.unex.sextante.core.GeoAlgorithm.meetsVectorRequirements(GeoAlgorithm.java:2538)
    at es.unex.sextante.core.GeoAlgorithm.meetsDataRequirements(GeoAlgorithm.java:2613)
    at
es.unex.sextante.gui.toolbox.AlgorithmTreeCellRenderer.getTreeCellRendererComponent(AlgorithmTreeCellRenderer.java:150)
    at javax.swing.plaf.basic.BasicTreeUI.paintRow(Unknown Source)
    at javax.swing.plaf.basic.BasicTreeUI.paint(Unknown Source)
    at javax.swing.plaf.ComponentUI.update(Unknown Source)
    at javax.swing.JComponent.paintComponent(Unknown Source)
    at javax.swing.JComponent.paint(Unknown Source)
    at javax.swing.JComponent.paintChildren(Unknown Source)
    at javax.swing.JComponent.paint(Unknown Source)
    [...]

0)
    at javax.swing.plaf.basic.BasicTreeUI.paintRow(Unknown Source)
    at javax.swing.plaf.basic.BasicTreeUI.paint(Unknown Source)
    at javax.swing.plaf.ComponentUI.update(Unknown Source)
    at javax.swing.JComponent.paintComponent(Unknown Source)
    at javax.swing.JComponent.paint(Unknown Source)
    at javax.swing.JComponent.paintChildren(Unknown Source)
    at javax.swing.JComponent.paint(Unknown Source)
    [...]

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 4568: "Random vector lay... Closed 07/26/2017

Associated revisions
Revision 43429 - 08/10/2017 10:16 AM - Joaquín  del Cerro Murciano

refs #4612, corregida la funcion isSubtype, se me habia colado un POLYGN donde iba un SURFACE
History
#1 - 08/09/2017 12:29 PM - Antonio Falciano

Same error with the SEXTANTE Union. So it seems that the issue depends by the polygon layers generated by "Random vector layer". Please remove
from the title "gvSIG Union: "

#2 - 08/09/2017 12:44 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2831 (rev. org.gvsig.desktop-2.0.197)
- Assignee set to Joaquín  del Cerro Murciano

#3 - 08/09/2017 12:47 PM - Álvaro Anguix
- Subject changed from gvSIG Union: Geometry type 22 not supported to Geometry type 22 not supported

#4 - 08/10/2017 10:18 AM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #4568: "Random vector layer" geoprocess produces empty line and polygon layers added

#5 - 08/10/2017 10:20 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

Al corregir el #4568 lo hize mal para poligonos.
Ya esta corregido.

#6 - 08/11/2017 11:18 AM - Antonio Falciano
- Status changed from Fixed to Closed
